VDB-98498 · CVE-2016-10130 · BID 95359

libgit2 hasta 0.24.5/0.25.0 transports/http.c http_connect error escalada de privilegios

CVSS Meta puntuación temporalExploit Precio Actual (≈)Puntaje de interés de CTI
6.5$0-$5k0.00

Una vulnerabilidad ha sido encontrada en libgit2 hasta 0.24.5/0.25.0 y clasificada como crítica. La función http_connect del archivo transports/http.c es afectada por esta vulnerabilidad. Por la manipulación del parámetro error de un input desconocido se causa una vulnerabilidad de clase escalada de privilegios. Esto tiene repercusión sobre la confidencialidad, integridad y disponibilidad. CVE resume:

El error fue descubierto el 2017-03-24. La vulnerabilidad fue publicada el 2017-03-24 (oss-sec) (no está definido). El advisory puede ser descargado de openwall.com. La vulnerabilidad es identificada como CVE-2016-10130. El ataque puede ser realizado a través de la red. La explotación no requiere ninguna forma de autentificación. Hay detalles técnicos conocidos, pero no se dispone de un exploit.

Para el scanner Nessus se dispone de un plugin ID 97282 (openSUSE Security Update : libgit2 (openSUSE-2017-262)), que puede ayudar a determinar la existencia del riesgo analizado.

Una actualización a la versión 0.24.6 o 0.25.1 elimina esta vulnerabilidad. Una solución posible ha sido publicada incluso antes y no después de la publicación de la vulnerabilidad.

La vulnerabilidad también está documentado en la base de datos Tenable (97282).

Productoinfo

Nombre

Versión

Licencia

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Confiabilidad: 🔍

CVSSv3info

VulDB Puntaje metabásico: 6.6
VulDB Meta puntuación temporal: 6.5

VulDB Puntuación base: 7.3
VulDB Puntuación temporal: 7.0
VulDB Vector: 🔍
VulDB Confiabilidad: 🔍

NVD Puntuación base: 5.9
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplejidadAutenticaciónConfidencialidadIntegridadDisponibilidad
desbloqueardesbloqueardesbloqueardesbloqueardesbloqueardesbloquear
desbloqueardesbloqueardesbloqueardesbloqueardesbloqueardesbloquear
desbloqueardesbloqueardesbloqueardesbloqueardesbloqueardesbloquear

VulDB Puntuación base: 🔍
VulDB Puntuación temporal: 🔍
VulDB Confiabilidad: 🔍

NVD Puntuación base: 🔍

Explotacióninfo

Clase: Escalada de privilegios
CWE: CWE-284 / CWE-266
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remoto: Sí

Disponibilidad: 🔍
Estado: No está definido

EPSS Score: 🔍
EPSS Percentile: 🔍

Predicción de precios: 🔍
Estimación del precio actual: 🔍

0-Daydesbloqueardesbloqueardesbloqueardesbloquear
Hoydesbloqueardesbloqueardesbloqueardesbloquear

Nessus ID: 97282
Nessus Nombre: openSUSE Security Update : libgit2 (openSUSE-2017-262)
Nessus File: 🔍
Nessus Riesgo: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 867773
OpenVAS Nombre: Fedora Update for libgit2 FEDORA-2017-403346d884
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Nombre: 🔍

Inteligencia de Amenazasinfo

Interesar: 🔍
Actores Activos: 🔍
Grupos APT activos: 🔍

Contramedidasinfo

Recomendación: Upgrade
Estado: 🔍

Hora de 0 días: 🔍

Upgrade: libgit2 0.24.6/0.25.1
Parche: github.com

Línea de tiempoinfo

2017-01-10 🔍
2017-01-10 +0 días 🔍
2017-02-16 +37 días 🔍
2017-02-21 +5 días 🔍
2017-03-24 +31 días 🔍
2017-03-24 +0 días 🔍
2017-03-24 +0 días 🔍
2017-03-24 +0 días 🔍
2022-11-15 +2062 días 🔍

Fuentesinfo

Advisory: 9a64e62f0f20c9cf9b2e1609f037060eb2d8eb22
Estado: No está definido
Confirmado: 🔍

CVE: CVE-2016-10130 (🔍)
SecurityFocus: 95359 - libgit2 'src/transports/http.c' Security Bypass Vulnerability
OSVDB: - CVE-2016-10130 - Git - libgit2 - Man-in-the-Middle Issue

Artículoinfo

Fecha de creación: 2017-03-24 18:53
Actualizaciones: 2022-11-15 08:44
Cambios: 2017-03-24 18:53 (75), 2020-09-13 20:26 (5), 2022-11-15 08:44 (5)
Completo: 🔍
Cache ID: 3:A4E:40

Discusión

Sin comentarios aún. Idiomas: es + en.

Por favor inicie sesión para comentar.

Might our Artificial Intelligence support you?

Check our Alexa App!